Skip to main content
Back to API List Summarizes the conversation between a user and an agent (AI Agent or human). Accepts a conversation ID or transcript as input and returns an auto-generated summary. The API uses an open-source LLM fine-tuned and hosted by Kore.ai, trained on a large number of sample conversation transcripts from various fields and industries.
Currently, the API supports transcripts only in English (en) and is available only in the US deployment.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/streams/{{streamId}}/conversationSummary
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Conversation Summary

Path Parameters

ParameterRequiredDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai.
streamIdRequiredStream ID or Bot ID. Access it from the General Settings page of the bot.

Sample Request

With Conversation ID as Input:
curl -X POST 'https://{{host}}/api/public/streams/{{streamId}}/conversationSummary' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
    "lang": "en",
    "inputMode": {
        "conversationId": "64808537ba90cb4b3841xxxx"
    }
}'
With Transcript as Input:
curl -X POST 'https://{{host}}/api/public/streams/{{streamId}}/conversationSummary' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
    "lang": "en",
    "inputMode": {
        "transcript": "Agent: Thank you for calling. How can I help you? Consumer: I have an issue with my DVR box..."
    }
}'

Request Body Parameters

ParameterRequiredDescription
languageRequiredThe language for understanding the transcript and generating the summary. Currently only en (English) is supported.
inputModeRequiredOne of: conversationId (a valid conversation session ID) or transcript (the conversation transcript).

Sample Response

{
    "ConversationSummary": "Consumer was having a DVD issue. He has two boxes. The TV part is fine. The list doesn't work at all on the secondary box.",
    "time": "2023-06-09T07:45:47.940Z"
}

Response Body Parameters

ParameterDescription
ConversationSummaryThe auto-generated summary of the conversation.
timeDate and time of the summary generation.